SDL_GPUComputePipelineCreateInfo Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

size_t | code_size
const Uint8 * | code
const char * | entrypoint
SDL_GPUShaderFormat | format
Uint32 | num_samplers
Uint32 | num_readonly_storage_textures
Uint32 | num_readonly_storage_buffers
Uint32 | num_readwrite_storage_textures
Uint32 | num_readwrite_storage_buffers
Uint32 | num_uniform_buffers
Uint32 | threadcount_x
Uint32 | threadcount_y
Uint32 | threadcount_z
SDL_PropertiesID | props

## Detailed Description

A structure specifying the parameters of a compute pipeline state.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_CreateGPUComputePipeline
  SDL_GPUShaderFormat

Definition at line 1862 of file SDL_gpu.h.

## Field Documentation

## code

const Uint8* SDL_GPUComputePipelineCreateInfo::code

A pointer to compute shader code.

Definition at line 1865 of file SDL_gpu.h.

## code_size

size_t SDL_GPUComputePipelineCreateInfo::code_size

The size in bytes of the compute shader code pointed to.

Definition at line 1864 of file SDL_gpu.h.

## entrypoint

const char* SDL_GPUComputePipelineCreateInfo::entrypoint

A pointer to a null-terminated UTF-8 string specifying the entry point function name for the shader.

Definition at line 1866 of file SDL_gpu.h.

## format

SDL_GPUShaderFormat SDL_GPUComputePipelineCreateInfo::format

The format of the compute shader code.

Definition at line 1867 of file SDL_gpu.h.

## num_readonly_storage_buffers

Uint32 SDL_GPUComputePipelineCreateInfo::num_readonly_storage_buffers

The number of readonly storage buffers defined in the shader.

Definition at line 1870 of file SDL_gpu.h.

## num_readonly_storage_textures

Uint32 SDL_GPUComputePipelineCreateInfo::num_readonly_storage_textures

The number of readonly storage textures defined in the shader.

Definition at line 1869 of file SDL_gpu.h.

## num_readwrite_storage_buffers

Uint32 SDL_GPUComputePipelineCreateInfo::num_readwrite_storage_buffers

The number of read-write storage buffers defined in the shader.

Definition at line 1872 of file SDL_gpu.h.

## num_readwrite_storage_textures

Uint32 SDL_GPUComputePipelineCreateInfo::num_readwrite_storage_textures

The number of read-write storage textures defined in the shader.

Definition at line 1871 of file SDL_gpu.h.

## num_samplers

Uint32 SDL_GPUComputePipelineCreateInfo::num_samplers

The number of samplers defined in the shader.

Definition at line 1868 of file SDL_gpu.h.

## num_uniform_buffers

Uint32 SDL_GPUComputePipelineCreateInfo::num_uniform_buffers

The number of uniform buffers defined in the shader.

Definition at line 1873 of file SDL_gpu.h.

## props

SDL_PropertiesID SDL_GPUComputePipelineCreateInfo::props

A properties ID for extensions. Should be 0 if no extensions are needed.

Definition at line 1878 of file SDL_gpu.h.

## threadcount_x

Uint32 SDL_GPUComputePipelineCreateInfo::threadcount_x

The number of threads in the X dimension. This should match the value in the shader.

Definition at line 1874 of file SDL_gpu.h.

## threadcount_y

Uint32 SDL_GPUComputePipelineCreateInfo::threadcount_y

The number of threads in the Y dimension. This should match the value in the shader.

Definition at line 1875 of file SDL_gpu.h.

## threadcount_z

Uint32 SDL_GPUComputePipelineCreateInfo::threadcount_z

The number of threads in the Z dimension. This should match the value in the shader.

Definition at line 1876 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h